package com.jeeplus.test.program.configuration.typeDict.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @TableName program_type_dict
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ProgramTypeDictDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目类型名称
     */
    private String type;

    /**
     * 父类型id
     */
    private String parentId;

    /**
     * 序号
     */
    private String sort;

    private static final long serialVersionUID = 1L;
}